<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateUsersTable extends Migration {

	public function up()
	{
		Schema::create('users', function(Blueprint $table) {
			$table->increments('id');
			$table->string('name');
			$table->string('address');
			$table->bigInteger('phone')->nullable();
			$table->integer('age')->nullable();
			$table->float('weight')->nullable();
			$table->float('height')->nullable();
			$table->enum('status', array('active', 'unactive'));
			$table->enum('role', array('admin', 'user'));
			$table->text('image');
			$table->text('pay_image');
			$table->timestamps();
		});
	}

	public function down()
	{
		Schema::drop('users');
	}
}